JSM’s Simple User Locale Selector

Version Information

  • Plugin Name: JSM's Simple User Locale Selector
  • Stable Version: 2.0.0
  • Author: JS Morisset
  • Description: Add a quick and easy user locale / language selector in the WordPress admin back-end and front-end toolbar menus.
  • License: GPLv3
  • Requires PHP: 7.0 or newer
  • Requires WordPress: 4.7 or newer
  • Tested Up To WordPress: 5.8
  • Last Updated: 1 week ago
  • Plugin Home Page »

Add a user locale drop-down menu item in the WordPress admin back-end admin and front-end toolbar menus.

Perfect for anyone that needs to switch languages quickly and easily - allows logged-in users to change their preferred locale / language setting right from the toolbar menu (instead of having to update their WordPress user profile page).

The default WordPress behavior is to apply the user locale preference to the admin back-end only - this plugin extends the user locale / language preference to the front-end webpage as well.

There are no plugin settings - simply install and activate the plugin.

Do you use the Polylang plugin?

If the Polylang plugin is active, the user locale menu will automatically use the correct Polylang language URLs for the current webpage.

Need a Boost to your Social and Search Ranking?

Check out the WPSSO Core plugin to rank higher and improve click-through-rates by presenting your content at its best on social sites and in search results - no matter how URLs are shared, re-shared, messaged, posted, embedded, or crawled.